For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get transaction template by templateUid

Get transaction template by templateUid

get
/tenants/{tenantUid}/templates/{templateUid}
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
templateUidstringRequired

Reference to a template.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

TransactionTemplateResponse

application/json
typestringRequiredExample: SMS_PICKUP_NOTE
namestringRequiredExample: SMS pickup note
templatestringRequired

The template body.

Example: Your order {.orderNumber} is ready to be picked up in {.storeName}
subjectstringRequired

The template subject, used for emails

mimeTypeundefined · enumRequiredPossible values:
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/templates/{templateUid}
GET /v2/tenants/{tenantUid}/templates/{templateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

TransactionTemplateResponse

{
  "type": "SMS_PICKUP_NOTE",
  "name": "SMS pickup note",
  "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
  "subject": "text",
  "mimeType": "HTML",
  "templateUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?